package com.persagy.adm.diagram.core.model;

import com.google.gson.annotations.Expose;
import com.persagy.adm.diagram.core.model.base.XY;

/**
 * 线和图例的连接点
 * @author zhaoyk
 */
public class ConnectPoint {

	/**
	 * 连接对象的类型，equipmentNode, dataPanelNode, mainPipe
	 */
	@Expose
	private String hostType;

	/**
	 * 连接对象的id
	 */
	@Expose
	private String hostId;

	/**
	 * 连接对象为equipmentNode时，连接的锚点编码
	 */
	@Expose
	private String anchorCode;

	/**
	 * 连接对象为mainPipe时，干管上的定位点
	 * TODO 定位点模型
	 */
	@Expose
	private Object mainPipePoint;

	/**
	 * 连接点绝对坐标
	 */
	private XY location;

}
