package com.persagy.adm.diagram.entity;

import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 系统图实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DiagramEntity extends AuditableEntity<DiagramEntity> {

    private String id;

    /**
     * 系统图名称
     */
    private String name;

    /**
     * 描述信息
     */
    private String remark;

    /**
     * 系统图类型编码
     */
    private String type;

    /**
     * 所属的系统类型
     */
    private String system;

    /**
     * 引用的模板id
     */
    private String templateId;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 对应的系统实例id
     */
    private String systemId;

    /**
     * 系统图状态
     */
    private String state;
    /**
     * 集团编码
     */
    private String groupCode;

    /**
     * 系统图内容，json格式
     */
    private String diagramContent;

}
