package com.persagy.adm.diagram.frame;

import com.persagy.adm.diagram.core.model.base.XY;
import com.persagy.adm.diagram.core.model.legend.Legend;
import com.persagy.adm.diagram.core.model.logic.DynGroup;
import com.persagy.adm.diagram.core.model.logic.EquipPack;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 编辑工具通用请求封装
 */
@Data
public class EditRequest {

	private String currentCompId;

	private String newCompId;

	private String templateId;

	private List<List<XY>> lines;

	private Integer moveOffset;

	private TemplatePropsData templatePropsData;

	private String sys;

	private Map<String, Object> legend;

	private String diagramId;

	private Map<String, Object> diagram;

	private Map<String, Object> dataFilter;

	private EquipPack equipPack;

	private DynGroup dynGroup;

	@Data
	public static class TemplatePropsData {

		private String id;

		private String name;

		private String remark;

		private int layout;

		private int margin;

		private int space;

		private int minH;

		private int minW;

		private boolean absolute;

		private List<String> equipTypes;

		private String pipeType;

		private boolean bindEquipment;

		private List<String> passbyRels;

		private List<String> connectEquips;

		private Map<String, Object> props;

	}

}
