package com.persagy.proxy.common.constant;


/**
 *@description:dmp服务请求url常量
 *@author:lgy
 *@data:2021/8/11 15:00
 */
public class DmpUrlConstant {

    /**
     * 创建对象
     */
    public final static String OBJECT_CREATE = "/rwd/instance/object/create";

    /**
     * 更新对象
     */
    public final static String OBJECT_UPDATE = "/rwd/instance/object/update";

    /**
     * 删除对象
     */
    public final static String OBJECT_DELETE = "/rwd/instance/object/delete";

    /**
     * 查询对象
     */
    public final static String OBJECT_QUERY = "/rwd/instance/object/query";

    /**
     * 查询实时数据
     */
    public final static String OBJECT_CURRENT_DATA = "/rwd/iot/data/current";

    /**
     * 查询历史数据/分精度数据
     */
    public final static String OBJECT_HISTORY_DATA = "/rwd/iot/data/history";

    /**
     * 查询图实例
     */
    public final static String GRAPH_QUERY = "/rwd/graph/query";

    /**
     * 创建关系
     */
    public final static String RELATION_CREATE = "/rwd/instance/relation/create";

    /**
     * 删除关系
     */
    public final static String RELATION_DELETE = "/rwd/instance/relation/delete";

    /**
     * 查询关系
     */
    public final static String RELATION_QUERY = "/rwd/instance/relation/query";

    /**
     * 查询关系对象
     */
    public final static String RELATION_OBJECT_QUERY = "/rwd/instance/relation/object/query";



    /**
     * 查询信息点描述信息
     */
    public final static String DEF_FUNCID = "/rwd/def/funcid";

    /**
     * 创建信息点
     */
    public final static String DEF_FUNCID_CREATE = "/rwd/def/funcid/create";

    /**
     * 批量修改信息点
     */
    public final static String DEF_FUNCID_UPDATE_BATCH = "/rwd/def/funcid/updateBatch";


    /**
     * 批量删除信息点
     */
    public final static String DEF_FUNCID_DEL_BATCH = "/rwd/def/funcid/deleteBatch";

    /**
     * 类型查询
     */
    public final static String DEF_CLASS = "/rwd/def/class";

    // ==================中台组织结构=========================================================================

    /**
     * 中台人员组织权限服务--查询用户
     */
    public static final String ORG_USER_QUERY = "/org/user/query";

    /**
     * 集团查询
     */
    public static final String ORG_GROUP_QUERY = "/org/group/query";

    /**
     * 项目查询
     */
    public static final String ORG_PROJECT_QUERY = "/org/project/query";

    /**批量查询项目接口URI*/
    public static final  String OBJECT_BATCH_QUERY_PROJECT_BY_IDS = "/rwd/instance/object/batchQueryProjectByIds";

    // ==================中台知识库=========================================================================

    /**
     * 字典数据查询
     */
    public static final String DIC_DATA_QUERY = "/dic/dt/data/query";

    // ==================中台关系计算入口=========================================================================
    /**
     * 关系计算创建
     */
    public static final String OBJECT_COMPATIBLE_CREATE = "rwd/instance/object/compatible/createObjRelationsByKeywordAndObjType";

    /**
     * 关系计算删除
     */
    public static final String OBJECT_COMPATIBLE_DELETE = "rwd/instance/object/compatible/deleteObjRelationsByRelId";


    /**
     * 查询
     */
    public static final String RELATION_PROJECT_CAL_QUERY = "/rwd/instance/relation/project/cal/query";
    /**
     * 字典数据查询
     */
    public static final String RELATION_PROJECT_CAL_CREATE = "/rwd/instance/relation/project/cal/create";
    /**
     * 更新
     */
    public static final String RELATION_PROJECT_CAL_UPDATE = "/rwd/instance/relation/project/cal/update";

    /**
     * 删除
     */
    public static final String RELATION_PROJECT_CAL_DELETE = "/rwd/instance/relation/project/cal/delete";

    /**
     * 查询采集信息点
     */
    public final static String DEF_FUNCID_COLLECT = "/rwd/def/funcid/collect/query";

    /**
     * 批量设置采集信息点
     */
    public final static String DEF_FUNCID_COLLECT_SET = "/rwd/def/funcid/collect/updateBatch";


    /**
     * 查询对象下已有的类型
     */
    public static final String QUERY_OBJECT_CLASS_CODE = "/rwd/instance/object/queryObjectClassCode";

}
