package com.persagy.proxy.dictionary.model;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.Date;

/**
 * ADM 关联类型 实体
 * @author xujiaheng
 * @date 2021-09-06
 */
@Data
public class AdmRelationType {
    /** ID */
    private String id;
    /** 名称 */
    private String name;
    /** 图类型编码 */
    private String code;
    /** 图类型id */
    private String graphicId;
    /** 说明 */
    private String note;
    /** 连接对象 */
    private String conneObject;
    /** 是否需要配置源末端 */
    private Integer isSource;
    /** 是否自动计算类型 */
    private Integer isAutomatic;
    /** 手动计算类型 1 禁用  2提示引导 3手动维护 */
    private Integer manual;
    /** 提示信息 */
    private String prompting;
    /** 更新时间 */
    private Date lastUpdate;
    /** 创建时间 */
    private Date createTime;
    /** 关系表名 */
    private String tableName;
    /** 关系是否双向 */
    private Integer isThorough;
    /** 关系类型,数据中心用 */
    private String relationType;
    /** 业务分区类型 */
    private String zoneType;
    /** 风系统1,水系统0 */
    private Integer systemType;
    /** 手动计算查询函数 */
    private String manualQuery;
    /** 手动计算主对象类型 */
    private String mainType;
    /** 手动计算从对象类型 */
    private String fromType;
    /** 添加关系 */
    private String addRel;
    /** 删除关系 */
    private String delRel;
    /** 手动计算关系类型 */
    private String relManualType;
    /** 主对象 */
    private String mainObject;
    /** 从对象 */
    private String fromObject;
    /** 机电系统类型 */
    private JSONObject mepSystemType;
    /** 图类型 */
    private String graphicType;
    /** 边类型 */
    private String relCode;
    /** 文件名 */
    private String fileName;
}
