package com.persagy.proxy.migration.constant;

/**
 * @author lvxianyun
 * @title: MigrationConstant
 * @projectName adm-middleware
 * @date 2021/12/6 15:39
 */
public class MigrationConstant {

    public final static String ERROR = "目标地址错误不能正常访问！";

    public final static int BATCH_SUBMIT_DATA_COUNT = 500;

    /** 数据拼接 用于list->map 时key和value拼接 **/
    public final static String SPLITER = "_";

    /** 数据拼接 用于map的key和value拼接成一个串 **/
    public final static String SPLITER_UNION = "@@";

    /**   对象类型定义 接口 ***/
    public final static String DEF_CLASS = "/dmp-rwd/rwd/def/class?";
    public final static String DEF_CLASS_INSERT = "/dmp-rwd/rwd/def/class/createBatch?";
    public final static String DEF_CLASS_DELETE = "/dmp-rwd/rwd/def/class/deleteBatch?";
    public final static String DEF_CLASS_UPDATE = "/dmp-rwd/rwd/def/class/updateBatch?";
    /**   对象实例表 sql脚本 开头  ***/
    public final static String DEF_CLASS_SQL_PRE = "REPLACE INTO `dt_define_type`(`id`, `code`, `name`, `alias_code`, `alias_name`, `obj_type`, `group_code`, `project_id`, `major_code`, `system_code`, `equipment_code`, `parent_code`, `version`, `source_from`, `creator`, `creation_time`, `modifier`, `modified_time`, `valid`)  VALUES \n ";


    /**   信息点 接口 ***/
    public final static String DEF_FUNCID = "/dmp-rwd/rwd/def/funcid?";
    public final static String DEF_FUNCID_INSERT = "/dmp-rwd/rwd/def/funcid/createBatch?";
    public final static String DEF_FUNCID_DELETE = "/dmp-rwd/rwd/def/funcid/deleteBatch?";
    public final static String DEF_FUNCID_UPDATE = "/dmp-rwd/rwd/def/funcid/updateBatch?";
    /**   对象实例表 sql脚本 开头  ***/
    public final static String DEF_FUNCID_SQL_PRE = "REPLACE INTO `dt_define_info`(`id`, `code`, `name`, `alias_code`, `alias_name`, `class_code`, `group_code`, `project_id`, `category`, `first_tag`, `second_tag`, `priority`, `input_mode`, `unit`, `data_type`, `is_multiple`, `is_region`, `formater`, `data_source`, `remark`, `sub_flag`, `weak_point`, `show_order`, `version`, `source_from`, `creator`, `creation_time`, `modifier`, `modified_time`, `valid`) VALUES\n";

    /**   图类型表 接口 需要提供批量 ***/
    public final static String DEF_GRAPH = "/dmp-rwd/rwd/def/graph/query?";
    public final static String DEF_GRAPH_INSERT = "/dmp-rwd/rwd/def/graph/create?";
    public final static String DEF_GRAPH_DELETE = "/dmp-rwd/rwd/def/graph/delete?";
    public final static String DEF_GRAPH_UPDATE = "/dmp-rwd/rwd/def/graph/update?";
    public final static String DEF_GRAPH_UPDATE_SQL_PRE ="REPLACE INTO `dt_define_graph` ( `id`, `code`,`name`, `first_category`, `second_category`,`second_category_mes`, `remark`, `object_types`,`creator`, `creation_time` , `modifier`,`modified_time`,`valid` ) VALUES \n ";

    /**   边类型表 接口  ***/
    public final static String DEF_REL = "/dmp-rwd/rwd/def/rel/query?";
    public final static String DEF_REL_INSERT = "/dmp-rwd/rwd/def/rel/create?";
    public final static String DEF_REL_DELETE = "/dmp-rwd/rwd/def/rel/delete?";
    public final static String DEF_REL_UPDATE = "/dmp-rwd/rwd/def/rel/update?";


    /**   对象实例表 接口  ***/
    public final static String DT_OBJECT = "/dmp-rwd/rwd/instance/object/query?";
    public final static String DT_OBJECT_INSERT = "/dmp-rwd/rwd/instance/object/create?";
    public final static String DT_OBJECT_DELETE = "/dmp-rwd/rwd/instance/object/delete?";
    public final static String DT_OBJECT_UPDATE = "/dmp-rwd/rwd/instance/object/update?";
    /**   对象实例表 sql脚本 开头  ***/
    public final static String DT_OBJECT_SQL_PRE = "REPLACE INTO `dt_object`(`id`, `name`, `local_id`, `local_name`, `group_code`, `project_id`, `obj_type`, `class_code`, `grouping`, `infos`, `virtual_codes`, `create_app`, `update_app`, `creator`, `creation_time`, `modifier`, `modified_time`, `valid`) VALUES \n";


    /**   关系实例表 接口  ***/
    public final static String DT_RELATION = "/dmp-rwd/rwd/instance/relation/query?";
    public final static String DT_RELATION_INSERT = "/dmp-rwd/rwd/instance/relation/create?";
    public final static String DT_RELATION_DELETE = "/dmp-rwd/rwd/instance/relation/delete?";
    public final static String DT_RELATION_UPDATE = "/dmp-rwd/rwd/instance/relation/update?";
    /**   对象实例表 sql脚本 开头  ***/
    public final static String DT_RELATION_SQL_PRE = "REPLACE INTO `dt_relation`(`id`, `group_code`, `project_id`, `graph_id`, `graph_code`, `rel_code`, `rel_value`, `obj_from`, `obj_to`, `create_app`, `update_app`, `creator`, `creation_time`, `modifier`, `modified_time`, `valid` ) VALUES \n";
}
