package com.persagy.proxy.migration.service;

import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.migration.model.DataMigrationExcel;
import com.persagy.proxy.migration.model.MigrationInfo;

import java.util.List;

/**
 * @author lvxianyun
 * @title: DataMigrationService
 * @projectName adm-middleware
 * @description: 处理需要迁移的数据
 * @date 2021/12/1 18:09
 */
public interface IDataMigration{

    /**
     * 数据迁移
     * @param context
     * @return excel
     */
    List<DataMigrationExcel> migrateForExcel(InstanceUrlParam context, MigrationInfo migrationInfo);

    /**
     * 数据迁移
     * @param context
     * @return log
     */
    AdmResponse migrateForLog(InstanceUrlParam context, MigrationInfo migrationInfo);


    /**
     * 数据迁移
     * @param context
     * @return sql 文件
     */
    String migrateForSql(InstanceUrlParam context);

}
