package com.persagy.proxy.report.model;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import lombok.Getter;
import lombok.Setter;
import org.apache.poi.ss.usermodel.Font;

/**
 * @author lvxianyun
 * @title: EquipmentPointExcel
 * @projectName adm-middleware
 * @description: 导出设备的静态或动态信息点
 * @date 2021/11/23 18:27
 */
@Getter
@Setter
@HeadFontStyle(color = Font.COLOR_NORMAL)
public class EquipmentPointExcel {

    @ColumnWidth(50)
    @ExcelProperty(value = "设备id", index=0)
    private String id;

    @ColumnWidth(20)
    @ExcelProperty(value = "本地编码", index=1)
    private String localId;

    @ColumnWidth(20)
    @ExcelProperty(value = "本地名称", index=2)
    private String localName;

    @ColumnWidth(20)
    @ExcelProperty(value = "设备类型编码", index=3)
    private String classCode;

    @ColumnWidth(20)
    @ExcelProperty(value = "设备类型名称", index=4)
    private String classCodeName;

    @ColumnWidth(20)
    @ExcelProperty(value = "一级标签", index=5)
    private String mapInputFirstName;

    @ColumnWidth(20)
    @ExcelProperty(value = "信息点名", index=6)
    private String infoName;

    @ColumnWidth(25)
    @ExcelProperty(value = "信息点编码", index=7)
    private String infoCode;

    @ColumnWidth(25)
    @ExcelProperty(value = "输入类型", index=8)
    private String inputType;

    @ColumnWidth(25)
    @ExcelProperty(value = "已交付值", index=9)
    private String inputValue;
}
